Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.pluginxml
Class BaseTag

    java.lang.Object
      org.hyperic.hq.product.pluginxml.BaseTag

All Implemented Interfaces:
  org.hyperic.util.xmlparser.XmlAttrHandler, org.hyperic.util.xmlparser.XmlFilterHandler, org.hyperic.util.xmlparser.XmlTagEntryHandler, org.hyperic.util.xmlparser.XmlTagExitHandler, org.hyperic.util.xmlparser.XmlTagHandler

Direct Known Subclasses:
  CustomPropertiesTag, CustomPropertyTag, EmbedTag

    public abstract class BaseTag

extends Object
implements org.hyperic.util.xmlparser.XmlTagHandler, org.hyperic.util.xmlparser.XmlTagEntryHandler, org.hyperic.util.xmlparser.XmlTagExitHandler, org.hyperic.util.xmlparser.XmlFilterHandler, org.hyperic.util.xmlparser.XmlAttrHandler

Method Summary
`void` | `enter()`
`void` | `exit()`
`String` | `filterAttrValue(org.hyperic.util.xmlparser.XmlTagHandler tag, String name, String value)`
`org.hyperic.util.xmlparser.XmlAttr[]` | `getAttributes()`
`protected org.apache.commons.logging.Log` | `getLog()`
`org.hyperic.util.xmlparser.XmlTagInfo[]` | `getMergedSubTags(org.hyperic.util.xmlparser.XmlTagInfo[] base, org.hyperic.util.xmlparser.XmlTagInfo add)`
`org.hyperic.util.xmlparser.XmlTagInfo[]` | `getMergedSubTags(org.hyperic.util.xmlparser.XmlTagInfo[] base, org.hyperic.util.xmlparser.XmlTagInfo[] add)`
`abstract String` | `getName()`
`String[]` | `getOptionalAttributes()`
`String[]` | `getRequiredAttributes()`
`org.hyperic.util.xmlparser.XmlTagInfo[]` | `getSubTags()`
`void` | `handleAttribute(int idx, String value)`
`void` | `handleAttribute(String name, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public abstract String getName()

  Specified by:
    `getName` in interface `org.hyperic.util.xmlparser.XmlTagHandler`

### getLog

    protected org.apache.commons.logging.Log getLog()

### getOptionalAttributes

    public String[] getOptionalAttributes()

### getRequiredAttributes

    public String[] getRequiredAttributes()

### getAttributes

    public org.hyperic.util.xmlparser.XmlAttr[] getAttributes()

  Specified by:
    `getAttributes` in interface `org.hyperic.util.xmlparser.XmlAttrHandler`

### handleAttribute

    public void handleAttribute(int idx,
                                String value)
                         throws org.hyperic.util.xmlparser.XmlAttrException

  Specified by:
    `handleAttribute` in interface `org.hyperic.util.xmlparser.XmlAttrHandler`
  Throws:
    `org.hyperic.util.xmlparser.XmlAttrException`

### handleAttribute

    public void handleAttribute(String name,
                                String value)
                         throws org.hyperic.util.xmlparser.XmlAttrException

  Throws:
    `org.hyperic.util.xmlparser.XmlAttrException`

### getSubTags

    public org.hyperic.util.xmlparser.XmlTagInfo[] getSubTags()

  Specified by:
    `getSubTags` in interface `org.hyperic.util.xmlparser.XmlTagHandler`

### getMergedSubTags

    public org.hyperic.util.xmlparser.XmlTagInfo[] getMergedSubTags(org.hyperic.util.xmlparser.XmlTagInfo[] base,
                                                                    org.hyperic.util.xmlparser.XmlTagInfo add)

### getMergedSubTags

    public org.hyperic.util.xmlparser.XmlTagInfo[] getMergedSubTags(org.hyperic.util.xmlparser.XmlTagInfo[] base,
                                                                    org.hyperic.util.xmlparser.XmlTagInfo[] add)

### filterAttrValue

    public String filterAttrValue(org.hyperic.util.xmlparser.XmlTagHandler tag,
                                  String name,
                                  String value)

  Specified by:
    `filterAttrValue` in interface `org.hyperic.util.xmlparser.XmlFilterHandler`

### enter

    public void enter()

  Specified by:
    `enter` in interface `org.hyperic.util.xmlparser.XmlTagEntryHandler`

### exit

    public void exit()
              throws org.hyperic.util.xmlparser.XmlTagException

  Specified by:
    `exit` in interface `org.hyperic.util.xmlparser.XmlTagExitHandler`
  Throws:
    `org.hyperic.util.xmlparser.XmlTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.